BASENAME(1)

NAVN
basename - strip directory and suffix from filenames

OVERSIKT
basename NAVN [SUFFIKS]
basename VALG... NAVN...

BESKRIVELSE

Skriv ut NAVN uten evt. ledende mappekomponent(er). SUFFIKS kan også fjernes.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-a, --multiple
    Slå på støtte for flere argumenter og behandle alle som NAVN.

-s, --suffix=SUFFIKS
    remove a trailing SUFFIX; implies -a

-z, --zero
    Separat utskrift med NUL i stedet for ny linje.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

EKSEMPLER

basename /usr/bin/sort
    -> «sort»

basename include/stdio.h .h
    -> «stdio»

basename -s .h include/stdio.h
    -> «stdio»

basename -a any/str1 any/str2
    -> «str1» etterfulgt av «str2»

OPPHAVSMANN
Skrevet af David MacKenzie.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2022 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
dirname(1), readlink(1)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/basename>
eller lokalt: info '(coreutils) basename invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.